Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.synex.xml.sax
Class XMLHandlerImpl

    java.lang.Object
      |
      +--com.synex.xml.sax.XMLHandlerImpl

All Implemented Interfaces:
  XMLHandler

public class XMLHandlerImpl
extends java.lang.Object
implements XMLHandler

Default implementation of the XMLHandler interface. This class provides default implementations for all of the callbacks in the core SAX2 handler class XMLHandler

Field Summary
`static java.lang.String` | `ATTR_DRIVER`
`static java.lang.String` | `ATTR_PASSWORD`
`static java.lang.String` | `ATTR_STATUS`
`static java.lang.String` | `ATTR_URL`
`static java.lang.String` | `ATTR_USER`

Constructor Summary
`XMLHandlerImpl()` Creates new XMLHandlerImpl
`XMLHandlerImpl(DBManager dbManager)` Creates new XMLHandlerImpl
`XMLHandlerImpl(DBManager dbManager, java.lang.String sqlMapFile)` Creates new XMLHandlerImpl

Method Summary
`void` | `endElement(java.lang.String element)` A container element end event handling method.
`void` | `handleElement(java.lang.String element, org.xml.sax.Attributes meta)` An empty element event handling method.
`void` | `handleElement(java.lang.String element, java.lang.String data, org.xml.sax.Attributes meta)` A data element event handling method.
`void` | `setSQLMapFile(java.lang.String sqlMapFile)` Sets a FileInputStream by opening a connection to an actual map file, the file named by the path name sqlMapFile in the file system.
`void` | `startElement(java.lang.String element, org.xml.sax.Attributes meta)` A container element start event handling method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_DRIVER

    public static final java.lang.String ATTR_DRIVER

### ATTR_URL

    public static final java.lang.String ATTR_URL

### ATTR_USER

    public static final java.lang.String ATTR_USER

### ATTR_PASSWORD

    public static final java.lang.String ATTR_PASSWORD

### ATTR_STATUS

    public static final java.lang.String ATTR_STATUS

Constructor Detail

### XMLHandlerImpl

    public XMLHandlerImpl()

  Creates new XMLHandlerImpl

### XMLHandlerImpl

    public XMLHandlerImpl(DBManager dbManager)

  Creates new XMLHandlerImpl
  Parameters:
    `dbManager` - The database manager to use

### XMLHandlerImpl

    public XMLHandlerImpl(DBManager dbManager,
                          java.lang.String sqlMapFile)

  Creates new XMLHandlerImpl
  Parameters:
    `dbManager` - The database manager to use
    `sqlMapFile` - The name mapping file to use

Method Detail

### setSQLMapFile

    public void setSQLMapFile(java.lang.String sqlMapFile)

  Sets a FileInputStream by opening a connection to an actual map file, the file named by the path name sqlMapFile in the file system.
  Parameters:
    `sqlMapFile` - The name mapping file to use

### handleElement

    public void handleElement(java.lang.String element,
                              java.lang.String data,
                              org.xml.sax.Attributes meta)
                       throws org.xml.sax.SAXException

  A data element event handling method.
  Specified by:
    `handleElement` in interface `XMLHandler`
  Parameters:
    `element` - value or null
    `data` - value or null
    `meta` - attributes
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### handleElement

    public void handleElement(java.lang.String element,
                              org.xml.sax.Attributes meta)
                       throws org.xml.sax.SAXException

  An empty element event handling method.
  Specified by:
    `handleElement` in interface `XMLHandler`
  Parameters:
    `element` - value or null
    `meta` - attributes
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### startElement

    public void startElement(java.lang.String element,
                             org.xml.sax.Attributes meta)
                      throws org.xml.sax.SAXException

  A container element start event handling method.
  Specified by:
    `startElement` in interface `XMLHandler`
  Parameters:
    `element` - value or null
    `meta` - attributes
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### endElement

    public void endElement(java.lang.String element)
                    throws org.xml.sax.SAXException

  A container element end event handling method.
  Specified by:
    `endElement` in interface `XMLHandler`
  Parameters:
    `element` - value or null
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see XML Bulk Loader Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sergey Yakovlev, All Rights Reserved.